Bug 1410308 - Call Bug.fields XMLRPC method returns error
Summary: Call Bug.fields XMLRPC method returns error
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 05:32 UTC by Feng Wang
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version: 5.0.3.rh23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 01:24:09 UTC


Attachments (Terms of Use)

Description Feng Wang 2017-01-05 05:32:36 UTC
Description of problem:
When calling 'Bug.fields' XMLRPC method, will get an error:

DBD::Pg::db selectall_arrayref failed: ERROR: column "value" does not exist LINE 1: SELECT id,value,sortkey,isactive,visibility_value_id FROM de... ^ [for Statement "SELECT id,value,sortkey,isactive,visibility_value_id FROM dependent_products ORDER BY sortkey, value"] <pre> at /var/www/html/bugzilla/Bugzilla/Object.pm line 411. Bugzilla::Object::_do_list_select('Bugzilla::Field::Choice::dependent_products') called at /var/www/html/bugzilla/Bugzilla/Object.pm line 765 Bugzilla::Object::get_all('Bugzilla::Field::Choice::dependent_products') called at /var/www/html/bugzilla/Bugzilla/WebService/Bug.pm line 300 Bugzilla::WebService::Bug::_legal_field_values('Bugzilla::WebService::Bug', 'HASH(0x7f79b4543af8)') called at /var/www/html/bugzilla/Bugzilla/WebService/Bug.pm line 156 Bugzilla::WebService::Bug::fields('Bugzilla::WebService::Bug', 'HASH(0x7f79a7e903f0)') called at /usr/share/perl5/vendor_perl/SOAP/Lite.pm line 2875 eval {...} called at /usr/share/perl5/vendor_perl/SOAP/Lite.pm line 2860 eval {...} called at /usr/share/perl5/vendor_perl/SOAP/Lite.pm line 2826 SOAP::Server::handle('Bugzilla::WebService::Server::XMLRPC=HASH(0x7f79a7658bd8)', '<?xml version="1.0" encoding="UTF-8"?><methodCall><methodName...') called at /usr/share/perl5/vendor_perl/SOAP/Transport/HTTP.pm line 438 SOAP::Transport::HTTP::Server::handle('Bugzilla::WebService::Server::XMLRPC=HASH(0x7f79a7658bd8)') called at /usr/share/perl5/vendor_perl/SOAP/Transport/HTTP.pm line 831 SOAP::Transport::HTTP::Apache::handler('Bugzilla::WebService::Server::XMLRPC=HASH(0x7f79a7658bd8)') called at /var/www/html/bugzilla/xmlrpc.cgi line 42 ModPerl::ROOT::Bugzilla::ModPerl::ResponseHandler::var_www_html_bugzilla_xmlrpc_2ecgi::handler('Apache2::RequestRec=SCALAR(0x7f79a8a3e968)') called at /usr/lib64/perl5/vendor_perl/ModPerl/RegistryCooker.pm line 207 eval {...} called at /usr/lib64/perl5/vendor_perl/ModPerl/RegistryCooker.pm line 207 ModPerl::RegistryCooker::run('Bugzilla::ModPerl::ResponseHandler=HASH(0x7f79a8bd5ea0)') called at /usr/lib64/perl5/vendor_perl/ModPerl/RegistryCooker.pm line 173 ModPerl::RegistryCooker::default_handler('Bugzilla::ModPerl::ResponseHandler=HASH(0x7f79a8bd5ea0)') called at /usr/lib64/perl5/vendor_perl/ModPerl/Registry.pm line 32 ModPerl::Registry::handler('Bugzilla::ModPerl::ResponseHandler', 'Apache2::RequestRec=SCALAR(0x7f79a8a3e968)') called at /var/www/html/bugzilla/mod_perl.pl line 141 Bugzilla::ModPerl::ResponseHandler::handler('Bugzilla::ModPerl::ResponseHandler', 'Apache2::RequestRec=SCALAR(0x7f79a8a3e968)') called at -e line 0 eval {...} called at -e line 0 </pre> at /var/www/html/bugzilla/Bugzilla/Object.pm line 411.

Version-Release number of selected component (if applicable):
Bugzilla 5.0 test site: https://beta.bugzilla.redhat.com/bugzilla/xmlrpc.cgi

Comment 1 Rony Gong 🔥 2017-02-03 03:19:18 UTC
Tested on QA environment(5.0.3-rh23)
Result: Pass
=============XMLRPC Execution Results============= 
{'fields': [{'display_name': 'Fixed In Version', 'id': 74, 'is_custom': True, 'is_mandatory': False, 'is_on_bug_entry': False, 'name': 'cf_fixed_in', 'type': 1, 'visibility_field': 'classification', 'visibility_values': ['Red Hat', 'Fedora', 'Community', 'oVirt', 'Internal', 'Other', 'Unclassified', 'Retired']}]}


Note You need to log in before you can comment on or make changes to this bug.